QGIS Application - Bug report #11886

DBManager always shows password to PostGIS connection in clear text in .qgs file

2014-12-18 06:17 AM - Harrissou Santanna

Status: Closed
Priority: High
Assignee:

Category: DB Manager

Affected QGIS version:2.6.1
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 20100

Description

Hi,
Click on "Add PostGIS table" button

Then create a new connection without saving username nor password. OK.

Connect and add some tables.
Save the project.

Launch DBManager, connect to the previous connection and add again some tables.

Save again the project.

In a text editor, you'll find that the tables added through "Add PostGIS table" don't show the username nor the password while they

appear in clear text for those added through DBManager. This shouldn't be.

Seen on QGIS 2.4 (MacOS) and 2.6.1 (Win 8)

Associated revisions

Revision 62b2c1fc - 2015-01-25 12:33 AM - Jiirgen Fischer

db manager: request credentials directly when connection failed (fixes #11886)

History

#1 - 2015-01-24 03:40 PM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"62b2c1fcabc88e82b0229790b56a7a9ada0f5771".
